Subject: bug#52558: Option for easier typing of regexps

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 23 Jan 2022 13:36:24 +0100

Juri Linkov <[email-masked]> writes:

>>> -	    (isearch-regexp-function (or delimited-flag
>>> +	    (isearch-regexp-function (or replace-regexp-function
>>> +                                         delimited-flag
>>>  					 (and replace-char-fold
>>
>> Re-skimming this thread, I think these extensions make sense, so perhaps
>> you should just push them?  (With a NEWS item, I guess.)
>
> This patch was pushed, but does it really need a NEWS item?
> It was intended as a basis for a new user-facing feature
> that could be now implemented and described in NEWS.

What was the new user-facing feature?  I thought the point of this was
to just allow users to implement their own replace-regexp-function and
have it work more consistently, which your change fixed...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no